Web Browsers and Security

skip breadcrumbs

On December 1, 2021, New York State will upgrade security protections to our websites and applications. Access to government websites and applications will now require the use of up-to-date and secure web browsers.

If you are using an older web browser, you will need to upgrade to a current web browser prior to December 1. To verify that your browser meets the new requirements, visit https://encryption.ny.govLink to Different NYS Website.

The following popular web browsers are among many capable of supporting up-to-date security protocols:

  • Microsoft Edge version 12 and above
  • Microsoft Internet Explorer 11
  • Google Chrome version 30 and above
  • Apple Safari 7 and above
  • Mozilla Firefox 27 and above
  • Opera 17 and above

^ Top